> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.propexo.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.propexo.com/_mcp/server.

# Update Resident: Entrata

PUT https://api.propexo.com/v1/residents/entrata/{id}
Content-Type: application/json

Update Resident: Entrata

| Method |
|---|
| customers/updateCustomers |
| leads/updateLeads |

Reference: https://docs.propexo.com/api-reference/entrata/residents/update-resident-entrata

## Authentication

- `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer <token>`, where token is your auth token.

## Servers

- `https://api.propexo.com` (Production, default)
- `https://api.sandbox.propexo.com` (Sandbox)

## Request

### Path parameters

- `id` (string, required) — The Propexo unique identifier for the resident

### Body (application/json)

This endpoint expects a _v1_residents_entrata_{id}_put_input.

- `first_name` (string, optional) — The first name of the resident. This value maps to the firstName property of the Customer object
- `middle_name` (string, optional) — The middle name of the resident. This value maps to the middleName property of the Customer object
- `last_name` (string, optional) — The last name of the resident. This value maps to the lastName property of the Customer object
- `email_1` (string, optional) — The primary email address for the resident. This value maps to the email property of the Customer object
- `date_of_birth` (string, optional) — The date of birth of the resident. This value maps to the birthDate property of the Customer object.
- `address_1` (string, optional) — The first address line associated with the resident
- `address_2` (string, optional) — The second address line associated with the resident
- `city` (string, optional) — The city associated with the resident
- `state` (string, optional) — The state associated with the resident
- `zip` (string, optional) — The zip code associated with the resident
- `country` (string, optional) — The country associated with the resident
- `phone_1` (string, optional) — The primary phone number for the resident.
- `events` (list of V1ResidentsEntrataIdPutInputEventsItems, optional, deprecated) — DEPRECATED: Please use /events endpoints to write events. Array of events associated with this resident
- `custom_data` (V1ResidentsEntrataIdPutInputCustomData, optional, deprecated) — Deprecated: Field is no longer applicable

## Response

### 200

Successful response

- `meta` (V1ResidentsEntrataIdPutOutputMeta, required)
- `result` (V1ResidentsEntrataIdPutOutputResult, required)

## Errors

### 400 Bad Request Error

Bad Request

- `error` (ErrorResponseError, required)

## Types

### V1ResidentsEntrataIdPutInputEventsItems

- `x_type_id` (string, required) — The PMS id for the event type.
- `unit_id` (string, optional) — The Propexo unique identifier for the unit
- `x_leasing_agent_id` (string, optional) — The PMS id for the leasing agent.
- `x_sub_type_id` (string, optional) — The PMS id for the event sub type.
- `x_result_id` (string, optional) — The PMS id for the event result.
- `event_datetime` (string, optional) — The date and time that the event occured.
- `appointment_datetime` (string, optional) — The date and time that the appointment will occur. Required if using appointment type.
- `time_from` (string, optional)
- `time_to` (string, optional)
- `notes` (string, optional) — General notes about the event.
- `title` (string, optional) — Title for the event.
- `reasons_for_event` (string, optional) — The reason the event occurred.
- `id` (string, optional) — The Propexo unique identifier for the event. Only required if attempting to update an existing event.

### V1ResidentsEntrataIdPutInputCustomData

Deprecated: Field is no longer applicable

### V1ResidentsEntrataIdPutOutputMeta

- `job_id` (string, required)

### V1ResidentsEntrataIdPutOutputResult

- `id` (string, required) — The Propexo unique identifier for the resident
- `first_name` (string, optional) — The first name of the resident. This value maps to the firstName property of the Customer object
- `middle_name` (string, optional) — The middle name of the resident. This value maps to the middleName property of the Customer object
- `last_name` (string, optional) — The last name of the resident. This value maps to the lastName property of the Customer object
- `email_1` (string, optional) — The primary email address for the resident. This value maps to the email property of the Customer object
- `date_of_birth` (string, optional) — The date of birth of the resident. This value maps to the birthDate property of the Customer object.
- `address_1` (string, optional) — The first address line associated with the resident
- `address_2` (string, optional) — The second address line associated with the resident
- `city` (string, optional) — The city associated with the resident
- `state` (string, optional) — The state associated with the resident
- `zip` (string, optional) — The zip code associated with the resident
- `country` (string, optional) — The country associated with the resident
- `phone_1` (string, optional) — The primary phone number for the resident.
- `events` (list of V1ResidentsEntrataIdPutOutputResultEventsItems, optional)
- `custom_data` (V1ResidentsEntrataIdPutOutputResultCustomData, optional, deprecated)

### ErrorResponseError

- `code` (string, required)
- `message` (string, required)
- `details` (map from string to any, optional)

### V1ResidentsEntrataIdPutOutputResultEventsItems

- `x_type_id` (string, required)
- `unit_id` (string, optional) — The Propexo unique identifier for the unit
- `x_leasing_agent_id` (string, optional) — The PMS id for the leasing agent.
- `x_sub_type_id` (string, optional) — The PMS id for the event sub type.
- `x_result_id` (string, optional) — The PMS id for the event result.
- `event_datetime` (string, optional) — The date and time that the event occured.
- `appointment_datetime` (string, optional) — The date and time that the appointment will occur. Required if using appointment type.
- `time_from` (string, optional)
- `time_to` (string, optional)
- `notes` (string, optional) — General notes about the event.
- `title` (string, optional) — Title for the event.
- `reasons_for_event` (string, optional) — The reason the event occurred.
- `id` (string, optional) — The Propexo unique identifier for the event. Only required if attempting to update an existing event.

### V1ResidentsEntrataIdPutOutputResultCustomData

## Examples

**Request**

```json
{}
```

**Response**

```json
{
  "meta": {
    "job_id": "job_9f8b7c6d5e4a3b2c1d0e"
  },
  "result": {
    "id": "resident_1234567890abcdef",
    "first_name": "Emily",
    "middle_name": "Grace",
    "last_name": "Johnson",
    "email_1": "emily.johnson@example.com",
    "date_of_birth": "1990-05-22T00:00:00Z",
    "address_1": "123 Maple Street",
    "address_2": "Apt 4B",
    "city": "Springfield",
    "state": "IL",
    "zip": "62704",
    "country": "USA",
    "phone_1": "+1-217-555-0198",
    "events": [
      {
        "x_type_id": "event_type_01",
        "unit_id": "unit_9876543210fedcba",
        "x_leasing_agent_id": "agent_4567",
        "x_sub_type_id": "subtype_03",
        "x_result_id": "result_12",
        "event_datetime": "2024-04-10T14:00:00Z",
        "appointment_datetime": "2024-04-15T10:00:00Z",
        "time_from": "10:00",
        "time_to": "11:00",
        "notes": "Discussed lease renewal options and amenities.",
        "title": "Lease Renewal Meeting",
        "reasons_for_event": "Lease renewal discussion",
        "id": "event_abc123def456"
      }
    ],
    "custom_data": {}
  }
}
```

**SDK Code**

```python
import requests

url = "https://api.propexo.com/v1/residents/entrata/id"

payload = {}
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.put(url, json=payload, headers=headers)

print(response.json())
```

```javascript
const url = 'https://api.propexo.com/v1/residents/entrata/id';
const options = {
  method: 'PUT',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: '{}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api.propexo.com/v1/residents/entrata/id"

	payload := strings.NewReader("{}")

	req, _ := http.NewRequest("PUT", url, payload)

	req.Header.Add("Authorization", "Bearer <token>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.propexo.com/v1/residents/entrata/id")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Put.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{}"

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.put("https://api.propexo.com/v1/residents/entrata/id")
  .header("Authorization", "Bearer <token>")
  .header("Content-Type", "application/json")
  .body("{}")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('PUT', 'https://api.propexo.com/v1/residents/entrata/id', [
  'body' => '{}',
  'headers' => [
    'Authorization' => 'Bearer <token>',
    'Content-Type' => 'application/json',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.propexo.com/v1/residents/entrata/id");
var request = new RestRequest(Method.PUT);
request.AddHeader("Authorization", "Bearer <token>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = [
  "Authorization": "Bearer <token>",
  "Content-Type": "application/json"
]
let parameters = [] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://api.propexo.com/v1/residents/entrata/id")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "PUT"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```